Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## lbg.peer.core.rms
Enum ResourceState

    java.lang.Object
      java.lang.Enum<ResourceState>
          lbg.peer.core.rms.ResourceState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ResourceState>

    public enum ResourceState

extends java.lang.Enum<ResourceState>

Author:
  Cyril Briquet

Enum Constant Summary
`BUSY_LOCAL`
`BUSY_SUPPLYING`
`IDLE`

Method Summary
`static ResourceState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ResourceState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IDLE

    public static final ResourceState IDLE

### BUSY_LOCAL

    public static final ResourceState BUSY_LOCAL

### BUSY_SUPPLYING

    public static final ResourceState BUSY_SUPPLYING

Method Detail

### values

    public static final ResourceState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ResourceState c : ResourceState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ResourceState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.